<script setup lang="ts">
const props = defineProps<{
  index: number
  url: string
  turned: boolean
  done: boolean
}>()
</script>

<template>
  <div :class="`aspect-[3/4] flex relative ${props.done ? 'opacity-50' : ''}`">
    <img v-if="turned" class="object-cover rounded-lg border-2 border-pink-500" :src="props.url" />
    <img
      v-else
      class="absolute h-full w-full rounded-lg border-2 border-pink-500"
      src="https://external-content.duckduckgo.com/iu/?u=https%3A%2F%2Fusercontent2.hubstatic.com%2F6089769_f260.jpg&f=1&nofb=1&ipt=702dfdf9a5b9b47a6bb903870d953a7109c061e12f17c546bcfae77c339c87fe&ipo=images"
    />
  </div>
</template>
